<?php
/**
 * @file
 * Subs Views integration.
 */

/**
 * Implements hook_views_data()
 */
function subs_views_data_alter(&$data) {
  // Add a field to view the subscription.
  $data['subs']['view'] = array(
    'field' => array(
      'title' => t('Link'),
      'help' => t('Provide a simple link to view the subscription.'),
      'handler' => 'subs_handler_view',
    ),
  );

  // Add a field to edit the subscription.
  $data['subs']['edit'] = array(
    'field' => array(
      'title' => t('Edit link'),
      'help' => t('Provide a simple link to edit the subscription.'),
      'handler' => 'subs_handler_edit',
    ),
  );

  // Add a field to delete the subscription.
  $data['subs']['delete'] = array(
    'field' => array(
      'title' => t('Delete link'),
      'help' => t('Provide a simple link to delete the subscription.'),
      'handler' => 'subs_handler_delete',
    ),
  );

  // Correct certain inferred stuff from EntityAPI.
  // @TODO suggest a patch for Entity API? Titles area already available in the MetadataController under 'label'.
  $data['subs']['date_start']['title'] = t('Start Date');
  $data['subs']['date_end']['title'] = t('End Date');

  // Not sure why status was not recognized as an option list.
  $data['subs']['status']['field']['handler'] = 'views_handler_field_machine_name';
  $data['subs']['status']['field']['options callback'] = array('EntityDefaultViewsController', 'optionsListCallback');
  $data['subs']['status']['field']['options arguments'] = array('subs', 'status', 'view');
}